#include <stdio.h>
main(){
	int i,j,cifrex=0,cifrey=0,provera=0;
	long x,y,n,brojac=1,rezultat=0;
	scanf("%d %d",&x,&y);
	long int x1=x;
	long int y1=y;
	while(x1>0){
		cifrex++;
		x1/=10;
	}
	while(y1>0){					
		cifrey++;
		y1/=10;
	}
	n =(cifrex>cifrey)?cifrex:cifrey;
	long brojx[n],brojy[n];

	while(i<n){
		brojx[i]=x%10;
		brojy[i]=y%10;
		if(brojx[i]>brojy[i]){
			rezultat+=brojx[i]*brojac;
			brojac*=10;
		}
		else if(brojy[i]>brojx[i]){
			rezultat+=brojy[i]*brojac;
			brojac*=10;
		}
		else{
			if(provera==0){
			rezultat+=brojx[i]*brojac;
			brojac*=10;
			rezultat+=brojy[i]*brojac;
			brojac*=10;	
			}
			else	brojac*=10;		
		}
		if((x/10==0)||(y/10==0))	provera=1;
		x/=10;
		y/=10;
		i++;
	}
	printf("%ld",rezultat);
}